roles ['application_role']
gitlab_rails['auto_migrate'] = false
registry['enable'] = false
registry['enable'] = false
postgresql['enable'] = false
alertmanager['enable'] = false
grafana['enable'] = false
redis['enable'] = true
nginx['enable'] = true
external_url 'http://gitlab.example.com'

# Consul
consul['enable'] = true
consul['configuration'] = {
  bind_addr: '{{ ansible_default_ipv4.address }}',
  retry_join: %w({{ (consul_int_ips if 'consul' in groups else gitlab_rails_int_ips) | join(' ') }}),
}
consul['monitoring_service_discovery'] = true

gitlab_rails['db_host'] = 'i.sandbox-pgbouncer-main-ilb.il4.us-east1.lb.gitlab-sandbox-db.internal'
gitlab_rails['db_load_balancing'] = {"discover"=>{"record"=>"main-db-replica.service.consul.", "nameserver"=>"127.0.0.1", "port"=>8600, "use_tcp"=>true, "record_type"=>"SRV"}}
gitlab_rails['db_password'] = '{{ lookup('gsm', 'gitlab-db-main-postgres_password') }}'
gitlab_rails['db_username'] = 'gitlab'
gitlab_rails['db_port'] = 6432
gitlab_rails['db_prepared_statements'] = false
gitlab_rails['db_connect_timeout'] = 5
gitlab_rails['db_keepalives'] = 1
gitlab_rails['db_keepalives_idle'] = 5
gitlab_rails['db_keepalives_interval'] = 3
gitlab_rails['db_keepalives_count'] = 3
gitlab_rails['db_tcp_user_timeout'] = 13000
